%define debug_package %{nil}

Summary: CERN LDAP printer database client.
Name: lpadmincern
Version: 0
Release: 4%{?dist}
Source0: %{name}-%{version}.tgz
Patch1: lpadmincern-default.patch
Group: CERN/Utilities
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager: Jaroslaw.Polok@cern.ch
Vendor:  CERN 
License: GPL
Requires: cups >= 1.2.4
Requires: perl
Requires: perl-LDAP
BuildRequires: perl 
BuildArch: noarch

%description
lpadmincern is the CERN LDAP printer database client.
It acts as an frontend to system printing spooler - CUPS
and allows configuration of CERN printers on the system.


%changelog
* Tue Jan 13 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> 0.4
- fixed the --default switch 
* Fri Oct 17 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch> 0.3
- fixes in some broken HP ppds
- fixes for Duplex enabled while Duplex Unit not installed cases..
  (on HP printers..)

* Fri Oct 17 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch> 0.1
- initial build 
%prep
%setup 
%patch1 -p1
%build

pod2man %{name}.pl > %{name}.1

%install
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 %{name}.pl $RPM_BUILD_ROOT/%{_sbindir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 %{name}.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}/ppds/
install -m 644 ppds/* $RPM_BUILD_ROOT/%{_datadir}/%{name}/ppds/

%clean

rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README
%{_sbindir}/%{name}
%dir %{_datadir}/%{name}/ppds
%{_datadir}/%{name}/ppds/*
%{_mandir}/man1/%{name}.1*
